View Issue Details

IDProjectCategoryView StatusLast Update
0015304ScribusScripterpublic2019-06-04 20:56
ReporterjurajF Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSGNU/LinuxOS VersionDebian 8/Jessie
Product Version 
Target VersionFixed in Version1.5.5.svn 
Summary0015304: Typo in documentation for python function
DescriptionMisstyped name of function setObjectAttributes() as seObjectsAttributes() in output of help() function from python console.
TagsNo tags attached.
PatchYes

Activities

jurajF

2018-05-06 20:23

reporter  

0001-Fix-function-name-in-python-documentation.patch (951 bytes)
From cbf05a8e17ae7e4d1c24d481bfeaca43923fb085 Mon Sep 17 00:00:00 2001
From: Juraj Fedel <wtxnh-scribus@yahoo.com.au>
Date: Sun, 6 May 2018 22:06:55 +0200
Subject: [PATCH] Fix function name in python documentation

---
 scribus/plugins/scriptplugin/cmdsetprop.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scribus/plugins/scriptplugin/cmdsetprop.h b/scribus/plugins/scriptplugin/cmdsetprop.h
index 085f8dcb5..9a9af0778 100644
--- a/scribus/plugins/scriptplugin/cmdsetprop.h
+++ b/scribus/plugins/scriptplugin/cmdsetprop.h
@@ -220,7 +220,7 @@ PyObject *scribus_setnewname(PyObject * /*self*/, PyObject* args);
 
 /*! docstring */
 PyDoc_STRVAR(scribus_setobjectattributes__doc__,
-QT_TR_NOOP("seObjectAttributes(attritbutes, [\"name\"])\n\
+QT_TR_NOOP("setObjectAttributes(attritbutes, [\"name\"])\n\
 \n\
 Sets attributes of the object \"name\".\n\
 If \"name\" is not given the currently selected item is used.\n\
-- 
2.17.0

Issue History

Date Modified Username Field Change
2018-05-06 20:23 jurajF New Issue
2018-05-06 20:23 jurajF File Added: 0001-Fix-function-name-in-python-documentation.patch
2018-05-06 22:02 jghali Assigned To => jghali
2018-05-06 22:02 jghali Status new => resolved
2018-05-06 22:02 jghali Resolution open => fixed
2018-05-06 22:02 jghali Fixed in Version => 1.5.5.svn
2019-06-04 20:56 cbradney Status resolved => closed